Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Adding a new Host to the Cluster - Installation Failure on flume-ng-solr package

Adding a new Host to the Cluster - Installation Failure on flume-ng-solr package

Explorer

We have installed Cloudera Enterprise 4.7.0 in a 3-node cluster. Recently we downgraded the same to Cloudera Standard 4.7.0. After this, we are now trying to add one more host to the cluster using the "Add New Hosts to Cluster" option (but NOT using Classic Wizard). However, the installation fails with the following error:

Installing flume-ng-solr package...
BEGIN sudo yum list installed flume-ng-solr
Loaded plugins: fastestmirror, security
Error: No matching Packages to list
END (1)
BEGIN sudo yum info flume-ng-solr
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
* base: centos.someimage.com
* extras: mirror.umd.edu
* updates: mirror.metrocast.net
Error: No matching Packages to list
END (1)
remote package flume-ng-solr is not available, giving up
waiting for rollback request

FYI, there were other packages that got installed successfully before this failure. Are there any workarounds for this issue?

2 REPLIES 2

Re: Adding a new Host to the Cluster - Installation Failure on flume-ng-solr package

Cloudera Employee
Hi, are you attempting to install CDH 4.5/search-1.1.0? The functionality provided by flume-ng-solr is now part of the flume-ng package itself. CDH 4.5 flume-ng includes this sink (updated to support search-1.1.0), as a result we removed flume-ng-solr from search-1.1.0. CM4.8 includes support for CDH4.5/search-1.1.0.

Regards,

Patrick

Re: Adding a new Host to the Cluster - Installation Failure on flume-ng-solr package

Explorer

we are using Cloudera Standard 4.7.0(we think they are using CDH 4.4.0) and now we are trying to install a new Host through Cloudera Manager Cloud Express Wizard(but not using Classic wizard) to install normal Host to the cluster and we are getting this error.

How do we pick the option to install the different versions that you mention? Is it available in the classic wizard? Please advice.